package org.vamsas.client;

/**
 * Holds information about Vobj instances that is held over between different writes to the document.
 * @author JimP
 *
 */
public class Vobjhash {
  int hashvalue;
  /**
   * creates a record of the hash value for a vamsas document object
   * @param tobemarshalled
   */
  public Vobjhash(Vobject tobemarshalled) {
    hashvalue = tobemarshalled.get__last_hash();
  }
  /**
   * compares the old hash value with the unmarshalled object's most recently computed hash value.
   * @param unmarshalled
   * @return true if the hash values differ
   */
  public boolean isUpdated(Vobject unmarshalled) {
    return hashvalue==unmarshalled.get__last_hash();
  }
}
